abs
Prev | Orchestra Opcodes and Operators | Next

## abs

abs — Returns an absolute value.

## Description

Returns the absolute value of x.

## Syntax

    abs(x) (no rate restriction)

where the argument within the parentheses may be an expression. Value converters perform arithmetic translation from units of one kind to units of another. The result can then be a term in a further expression.

## Examples

Here is an example of the abs opcode. It uses the file abs.csd.

Example 34. Example of the abs opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    -odac     ;;;RT audio out
    ;-iadc    ;;;uncomment -iadc if RT audio input is needed too
    ; For Non-realtime ouput leave only the line below:
    ; -o abs.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    sr = 44100
    ksmps = 32
    nchnls = 2

    instr 1
    ix = p4
    iabs = abs(ix)
    print iabs

    endin

    </CsInstruments>
    <CsScore>

    i 1 0 1 0
    i 1 + 1 -.15
    i 1 + 1 -13
    e

    </CsScore>
    </CsoundSynthesizer>

Its output should include lines like:

    instr 1:  iabs = 0.000
    instr 1:  iabs = 0.150
    instr 1:  iabs = 13.000

## See Also

exp, frac, int, log, log10, i, sqrt

Prev | Up | Next
abexprnd | Home | acauchy